#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'faq.title'}
#{/set}

<div class="breadcrumb">&{'faq.tanyajawab'}</div>

<div class="content">
 <div class="row">
  <div class="col-xs-3"> 		
          <div class="panel panel-default">
  			<div class="panel-heading">&{'faq.kirimpertanyaan'}</div>
  			<div class="panel-body">
  			#{alert /}
  			#{form @admin.FaqCtr.tambahFaq(), id:'formAdd'}
                <p>Pertanyaan yang diajukan khusus berkaitan dengan Pengadaan Barang dan Jasa.</p>
                <div class="form-group">
                	<label>Nama Pengirim</label>
                    <input type="text" class="form-control #{validate 'faq.faq_nama'/}" name="faq.faq_nama" value="${flash['faq.faq_nama']}" maxlength="80" placeholder="Masukkan Nama Pengirim"/>
                    <div class="invalid-feedback">#{error 'faq.faq_nama' /}</div>
                </div>
                <div class="form-group">
                    <label>Email Pengirim</label>
                    <input type="text" class="form-control #{validate 'faq.faq_email'/}" name="faq.faq_email" value="${flash['faq.faq_email']}" maxlength="80" placeholder="Masukkan Email"/>
                    <div class="invalid-feedback">#{error 'faq.faq_email' /}</div>
                </div>
                <div class="form-group">
                    <label>Pertanyaan</label>
                    <textarea name="faq.faq_pertanyaan" class="form-control #{validate 'faq.faq_pertanyaan'/}" rows="8" placeholder="Masukkan Pertanyaan">${flash['faq.faq_pertanyaan']}</textarea>
                    <div class="invalid-feedback">#{error 'faq.faq_pertanyaan' /}</div>
                </div>
                <div class="form-group">
                    <img alt="untuk melihat captcha enable penampilan gambar pada browser Anda" src="@{PublikCtr.showCaptcha(randomID)}" /><br />
                    <label>Kode keamanan</label>
                    <input type="text" class="form-control #{validate 'code'/}" size="20" maxlength="100" name="code" placeholder="Masukkan Kode keamanan"/>
                    <div class="invalid-feedback">#{error 'code' /}</div>
                    <input type="hidden" name="randomID" value="${randomID}" />
                </div>
                <button type="submit" class="btn btn-success">Kirim</button>                
         	#{/form}
         </div>
      </div>
  </div>
  <div class="col-9">
  	<table id="tblFaq" width="auto"></table>
  </div>
 </div>
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript"> 
    var table = $("#tblFaq").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.publicFAQ()}",
        language : {info:''},
        columns: [{visible:false, searchable:true}, {sortable:false, render: function(data, type, row) {
        	 		var ids = row[0];
                    var judul = row[1];
                    var data = '<blockquote><p>'+judul+'</p>'+
								   '<footer>'+row[2]+'</footer>'+
							   '</blockquote>';
                    return data;
        	}}, {visible:false, searchable:true}]
    });
    $('#tblFaq_filter input').unbind();
    $('#tblFaq_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

</script>
#{/set}
